Query Alarms

Query Alarms

Get Alarms from Vms given the vdu Id

Request
URI
POST
https://{server}/hybridity/api/vnffm/v1/{vnfInstanceId}/alarms
COPY
Path Parameters
string
vnfInstanceId
Required

Network Function Instance Id


Request Body

null

alarmFilter of type(s) application/json
Required
{
    "filter": {
        "ids": [
            "string"
        ],
        "vduIds": [
            "string"
        ],
        "vnfInstanceId": "string",
        "vmMorefs": [
            "string"
        ],
        "alarmIds": [
            "string"
        ],
        "ackState": "string",
        "perceivedSeverity": [
            "string"
        ],
        "hcxEndpointIds": [
            "string"
        ]
    }
}
filter
Optional

filter

Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns vduAlarmsResponse of type(s) application/json
{
    "alarms": [
        "vduAlarms.yaml Object"
    ],
    "nextPage": "string",
    "warnings": [
        "warning.yaml Object"
    ],
    "errors": [
        "error.yaml Object"
    ]
}
alarms
Optional

alarms

string
nextPage
Optional

nextPage

warnings
Optional

warnings

array of error.yaml
errors
Optional

errors

Response Headers

string
nextPage

Gives the next page to query alarms. If the current page is the last page, empty string is returned.


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        "error.yaml Object"
    ]
}
array of error.yaml
errors
Optional

errors